.post {
  list-style: none;
  border-radius: 4px;
  overflow: hidden;

  &_answered {
    background-color: #43ae45;
  }

  &__title {
    max-width: 70%;
  }

  &__score {
    display: flex;
    flex-direction: column;
    align-items: center;

    &-arrow {
      width: 24px;
      height: 24px;
      fill: #333333;
      display: block;
      cursor: pointer;

      & * {
        pointer-events: none;
      }

      &_up {
        transform: rotate(180deg);
      }
    }

    &-count {
      background-color: #cccccc;
      border-radius: 5px;
      min-width: 40px;
      min-height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }

  &__trigger {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 15px;
    border: 1px solid #333;
    border-radius: 4px;
  }

  &__panel {
    display: block;
    max-height: 0;
    overflow: hidden;
    transition: max-height .2s linear;
  }

  &__panel-cover {
    display: block;
    background-color: #c5c5c5;
    padding: 20px 15px;
  }

  &__info {
    display: block;
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 0;

    & span {
      font-weight: 700;
    }

    & + & {
      margin-top: 16px;
    }
  }
}
